ShapeField.QueryRelation (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.document, class: ShapeField, enum: QueryRelation

Package org.apache.lucene.document

# Enum Class ShapeField.QueryRelation

java.lang.Object
java.lang.Enum<ShapeField.QueryRelation>
org.apache.lucene.document.ShapeField.QueryRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<ShapeField.QueryRelation>`, `Constable`

Enclosing class:
  `ShapeField`

public static enum ShapeField.QueryRelation extends Enum<ShapeField.QueryRelation>
Query Relation Types *

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTAINS`
  used for CONTAINS Queries
  `DISJOINT`
  used for DISJOINT Queries
  `INTERSECTS`
  used for INTERSECT Queries
  `WITHIN`
  used for WITHIN Queries

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShapeField.QueryRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShapeField.QueryRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERSECTS

    public static final ShapeField.QueryRelation INTERSECTS
    used for INTERSECT Queries

  - ### WITHIN

    public static final ShapeField.QueryRelation WITHIN
    used for WITHIN Queries

  - ### DISJOINT

    public static final ShapeField.QueryRelation DISJOINT
    used for DISJOINT Queries

  - ### CONTAINS

    public static final ShapeField.QueryRelation CONTAINS
    used for CONTAINS Queries

- ## Method Details

  - ### values

    public static ShapeField.QueryRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShapeField.QueryRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null